Bug 823913 - Full URL not linked with one character after trailing slash
Full URL not linked with one character after trailing slash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 08:50 EDT by Dominic Cleal
Modified: 2013-07-04 03:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 03:03:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2012-05-22 08:50:14 EDT
Description of problem:
When a URL such as http://example.com/a is displayed in gnome-terminal, the last character is not linked when the mouse is hovered over it.  If more than one character is after the slash, it's linked.

Version-Release number of selected component (if applicable):
gnome-terminal-3.4.1.1-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. open gnome-terminal
2. run "echo http://example.com/a"
3. hover mouse over URL
  
Actual results:
"http://example.com/" is linked

Expected results:
"http://example.com/a" is linked
Comment 1 Fedora End Of Life 2013-07-03 20:21:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Dominic Cleal 2013-07-04 03:03:07 EDT
Tested on Fedora 18, works now.

Note You need to log in before you can comment on or make changes to this bug.